#page-content-wrapper {
    padding: 40px;
    /* overflow-y: auto; */
    color: var(--yak-primary-text-color);
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
}

.loader-screen {
    position: absolute;
    top: 0;
    left: 0;
    min-width: 100%;
    min-height: 100%;
    background-color: #ffffff66;
    z-index: 999;
}

#page-content-wrapper *:not(i) {
    font-family: "Nunito Sans", sans-serif !important;
}

.page-content-header {
    min-width: 1000px;
    max-width: 1000px;
    padding: 10px 0;
    border: none;
}

.page-content-header>.content-header-section {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-radius: 12px;
    padding: 10px 10px;
    border: 1px solid #eee;
}

.page-content-header .page-heading-text {
    font-size: 25px;
}

.page-content-header .pagination-number {
    padding: 10px 15px;
    border-radius: 12px;
    background-color: #fff;
}

.page-main-content {
    width: fit-content;
    min-width: 1000px;
    max-width: 1000px;
}

.page-main-content>.content-container {
    display: flex;
}

.filter-section-container {
    position: sticky;
    margin: 0 20px 0 0;
    min-width: 320px;
    max-width: 320px;
    overflow-y: auto;
    flex: 1 1 auto;
    max-height: calc(100vh - 120px);
    top: 80px;
    scrollbar-width: none;
}

.filter-section {
    position: sticky;
    top: -10px;
    scrollbar-width: none;
    overflow-y: auto;
    background: #ffffff;
    padding: 20px;
    border-radius: 12px;
    padding-top: 0px;
    max-height: calc(100vh - 150px);
}

.filter-floating-container {
    display: none;
    width: fit-content;
    border-radius: 50%;
}

.filter-floating-container>#filter-floating-button {
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.12), 0 1px 5px 0 rgba(0, 0, 0, 0.2);
    min-height: 56px;
    min-width: 56px;
    border-radius: 50%;
    border: none;
}

.filter-heading-section {
    display: flex;
    justify-content: space-between;
    border-bottom: 1px solid #0000001A;
    padding-bottom: 10px;
    margin-bottom: 10px;
    position: sticky;
    top: 0px;
    z-index: 2;
    background: #ffffff;
    padding-top: 20px;
}

.filter-heading {
    cursor: pointer;
    transition: all 1s ease-in-out;
}

.reset-button {
    font-family: Satoshi;
    font-size: 14px;
    font-weight: 500;
    color: #C04151;
}

.filter-sub-category-heading {
    margin-left: 5px;
}

.filter-menu-div {
    width: 100%;
    padding: 3px 5px;
    border-radius: 5px;
}

.filter-menu-div label {
    text-transform: capitalize;
    font-size: 14px;
    font-weight: 500;
    color: rgba(0, 0, 0, 0.4);
    cursor: pointer;
}

.filter-menu-div .service-rating-filter-value {
    display: flex !important;
    align-items: center;
    gap: 3px;
}

.filter-menu-div .service-rating-filter-value .service-rating-filter-value-icon {
    font-size: 20px;
    margin-top: -3px;
    color: #faca15;
}

.filter-menu {
    padding: 12px 0px 8px 5px;
    border-bottom: 1px solid #0000001A;
}

.filters-menu-heading {
    margin-top: 10px;
}

.filters-menu-heading.collapsible {
    box-shadow: none;
    border: none;
    list-style-type: none;
    padding: 0;
}

.filters-menu-heading.collapsible .collapsible-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-radius: 5px;
    border: none;
    padding: 2px 5px;
}

.filters-menu-heading.collapsible .collapsible-header .filter-sub-category-heading {
    margin-left: 0px;
    flex: 1 1 auto;
}

.filters-menu-heading.collapsible .collapsible-header .filter-icon-container {
    display: flex;
}

.filters-menu-heading.collapsible .collapsible-header .filter-expand-icon {
    margin: 0;
    transition: all 0.5s ease;
}

.filters-menu-heading.collapsible .collapsible-header .filter-expand-icon-expanded {
    rotate: 90deg;
}

.filters-menu-heading.collapsible .collapsible-body {
    padding: 0 0 0 5px;
}

.filters-menu-heading.collapsible .collapsible-body .filter-menu {
    padding-left: 0px;
}

.filters-menu-heading .yak-search-option {
    margin: 5px 0 0 0;
    height: 35px;
}

.filters-menu-heading.collapsible .filter-menu:has( .filter-menu-div .yak-search-option-value) {
    overflow-y: auto;
    scrollbar-width: none;
    min-height: 250px;
    max-height: 250px;
}

.amount {
    font-size: 16px;
    font-weight: bold;
    color: #002e57;
    cursor: text;
}

.filter-section-container * {
    /*     transition: all 0.3s ease-out; */
}

.yak-service-filter-section:last-child .filter-menu {
    border: none;
}

.multi-range-slider {
    margin: 0 10px;
}

.range-values {
    margin: 10px 5px 0 5px;
    display: flex;
    justify-content: space-between;
    font-size: 14px;
    color: #666;
}


.search-result-container {
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
    gap: 1rem;
}

#serviceListData {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.job-card {
    padding: 20px 20px 10px 20px;
    background: #ffffff;
    border-radius: 12px;
    margin-bottom: 20px;
    max-width: 660px;
}

.job-card:hover {
    box-shadow: 0px 0px 15px #b7b5b5aa;
}

.card-upper-part {
    margin-bottom: 5px;
}

.profile-section {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.job-post-profile {
    display: flex;
    gap: 20px;
    align-items: center;
}

.job-profile-img img {
    width: 70px;
    border-radius: 12px;
}

.job-profile-name {
    display: flex;
    flex-direction: column;
    gap: 3px;
}

.job-profile-name .yak-username {
    font-size: 18px;
    line-height: 18px;
    color: #1D60FC;
}

.job-profile-name p {
    font-size: 14px;
    line-height: initial;
    color: #0006;
    margin-bottom: 0px;
    text-transform: capitalize;
}

.job-profile-name .tag-img {
    display: flex;
    align-items: center;
    gap: 5px;
    color: #fff;
    background-color: var(--yak-primary-color);
    border-radius: 20px;
    padding: 2px 10px;
    width: fit-content;
}

.job-profile-name .tag-img .service-card-icon {
    font-size: 14px;
    color: #fff;
}

.job-profile-name .tag-img span {
    text-transform: capitalize;
    font-size: 12px;
    color: #fff;
}

.service-cost-section {
    display: flex;
    align-items: center;
    gap: 15px;
}

.service-cost-section .rating .rating-text {
    display: flex;
    font-size: 16px;
    background-color: var(--yak-secondary-color);
    border-radius: 20px;
    padding: 3px 10px 3px 8px;
}

.service-cost-section .rating .service-rate-icon {
    font-size: 20px;
    color: #faca15;
}

.price {
    display: flex;
    justify-content: end;
    align-items: center;
    font-family: Satoshi;
    font-size: 18px;
    font-weight: 500;
    width: fit-content;
    padding: 2px 12px;
    border-radius: 20px;
/*     margin-right: 10px; */
    background-color: #ffd1b2;
}

.rupee-logo {
    color: #1D60FC;
    font-size: 18px;
    margin-right: 2px;
}

.card-body {
    display: flex;
    margin: 10px 0;
}

.card-body .card-body-section {
}

.card-body .card-body-section:first-child {
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;   
    gap: 8px;
}

.card-body .tag-img {
    display: flex;
    align-items: center;
    gap: 10px;
}

.card-body .tag-img img {
    width: 16px;
}

.card-body .tag-img span {
    text-transform: capitalize;
    font-size: 14px;
    font-weight: 500;
    color: rgba(0, 0, 0, 0.4);
}

.service-card-icon {
    font-size: 18px;
    color: rgba(0, 0, 0, 0.4);
}

.title-section .tag-img {
    width: fit-content;
    background-color: var(--yak-secondary-color);
    border-radius: 5px;
    padding: 2px 10px 2px 1px;
}

.title-section .tag-img .service-card-icon {
    color: var(--yak-primary-color);
}

.title-section .tag-img span {
    color: var(--yak-primary-color);
}

.tags-section {
    display: flex;
    flex-wrap: wrap;
}

.duration-section {
}

.skills-section {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.skills-section .skill-list {
    padding-left: 28px;
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
}

.skill-list .service-skill-tag {}

.skill-list .service-skill-tag>span {
    padding: 3px 10px;
    background-color: #eee;
    border-radius: 20px;
    font-size: 12px;
    color: #888;
}

.card-description {
}

.card-description .description {
    display: flex;
    gap: 10px;
    align-items: start;
}

.card-description .description img {
    margin-top: 6px;
    width: 20px;
}

.card-description .description span {
    font-size: 14px;
    font-weight: 500;
    color: rgba(0, 0, 0, 0.4);
    line-height: 20px;
}


.card-body .card-body-section:last-child {

}

/* .company-section {
    display: flex;
    flex-direction: column;
    gap: 2px;
    width: fit-content;
    width: 220px;
    padding: 8px 10px;
    border-radius: 12px;
    background-color: var(--yak-secondary-color);
}

.company-section .company-section-header-text {
    font-size: 12px;
    color: #0006;
}

.company-section .company-card {
    display: flex;
    align-items: center;
    text-decoration: none;
    color: #000;
    gap: 10px;
}

.company-card .company-image-container>img {
    border-radius: 50%;
    width: 48px;
    aspect-ratio: 1/1;
}

.company-card .company-name-container {
    display: flex;
    flex-direction: column;
    gap: 2px;
}

.company-card .company-name-container span {
    line-height: initial;
}

.company-card .company-name-text {
    font-size: 16px;
}

.company-card .company-type-text {
    font-size: 14px;
    color: #0006;
} */

.card-footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.date-part p {
    font-size: 14px;
    font-weight: 500;
    color: rgba(0, 0, 0, 0.4);
    margin-bottom: 0px;
}

.card-buttons {
    display: flex;
    gap: 10px;
}

.card-buttons>.connect-button {
    min-height: 40px;
    display: inline-flex;
    align-items: center;
    border-radius: 20px;
    padding: 0 15px;
    font-size: 14px;
}

.card-buttons>.connect-button:first-child {
    background-color: #eee;
}

.card-buttons>.connect-button:first-child:hover {
    background-color: #ddd;
}

.card-buttons>.connect-button:last-child {
    background-color: var(--yak-primary-color);
    color: #fff;
}

.load-more-paginator {
    display: flex;
    justify-content: center;
}

#load-more-button {
    min-height: 40px;
    background-color: transparent;
    border: 1px solid var(--yak-primary-color);
    border-radius: 5px;
    padding: 0 20px;
}

#load-more-button:hover {
    background-color: var(--yak-secondary-color);
}

#load-more-button:disabled {
    border: none;
    color: #aaa;
    background-color: #eee;
}

@media screen and (max-width: 600px) {

    #page-content-wrapper {
        padding: 0px;
        overflow-y: auto;
        overflow-x: hidden;
        color: var(--yak-primary-text-color);
        display: flex;
        flex-direction: column;
        align-items: start;
        position: relative;
        max-width: 100vw;
    }

    .loader-screen {
        z-index: 1000;
    }

    .page-content-header {
        min-width: 100vw;
        max-width: 100vw;
        padding: 10px 0;
        border: none;
    }

    .page-content-header>.content-header-section {
        display: flex;
        justify-content: space-between;
        padding: 10px 10px;
        margin: 0 5px;
/*         flex-direction: column; */
    }

    .content-header-section>div {
        padding: 0;
        margin: 0;
    }

    .content-header-section>div>* {
        padding: 0;
        margin: 0;
    }

    .content-header-section>.page-heading .page-heading-text {
        font-size: 20px;
    }
    
    .content-header-section .pagination-number {
        padding: 8px 10px;
    }

    .content-header-section>.pagination-number span {
        font-size: 12px;
    }

    .page-main-content {
        width: fit-content;
        min-width: 0;
        max-width: 100vw;
        flex: 1 1 auto;
        display: flex;
    }

    .page-main-content>.content-container {
        display: flex;
        flex-direction: column;
    }

    .filter-section-container {
        margin: 0 0 0 0;
        min-width: 0;
        max-width: 100vw;
        flex: 1 1 auto;
        position: fixed;
        top: initial;
        bottom: 15px;
        right: 0px;
        z-index: 999;
        display: flex;
        flex-flow: column;
        align-items: end;
    }

    .filter-section {
        max-height: 600px;
        min-width: 320px;
        max-width: 320px;
        scrollbar-width: none;
        overflow-y: auto;
        background: #ffffff;
        padding: 20px;
        border-radius: 12px;
        padding-top: 0px;
        margin: 0 20px 10px 20px;
        border: none;
        display: none;
        box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.12), 0 1px 5px 0 rgba(0, 0, 0, 0.2);
    }

    .filter-floating-container {
        display: block;
        margin: 0 20px 0 0;
        padding: 0.2rem 0;
    }

    .filter-floating-container>#filter-floating-button {
        background-color: var(--yak-primary-color);
        color: #fff;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .filter-floating-container>#filter-floating-button>i {
        color: inherit;
    }

    .filter-heading-section {
        display: flex;
        justify-content: space-between;
        border-bottom: 1px solid #0000001A;
        padding-bottom: 10px;
        margin-bottom: 10px;
        position: sticky;
        top: 0px;
        background-color: #ffffff;
        padding-top: 20px;
        z-index: 99;
    }

    .filter-heading {
        cursor: pointer;
        transition: all 1s ease-in-out;
    }

    .reset-button {
        font-family: Satoshi;
        font-size: 16px;
        font-weight: 500;
        color: #C04151;
    }

    .search-result-container {
        flex: 1 1 auto;
        padding: 0 0 0 0;
        height: 100%;
        min-width: 100vw;
        max-width: 100vw;
        display: flex;
        flex-direction: column;
    }

    .search-result-container>#serviceListData {
        height: 100%;
    }
    
    yak-service-card:defined {
        border-radius: 0;      
    }

    .load-more-paginator {
        padding: 20px 0;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    #load-more-button {
        min-height: 35px;
        max-height: 35px;
        background-color: transparent;
        border: 1px solid var(--yak-primary-color);
        border-radius: 5px;
        padding: 0 20px;
    }

    #load-more-button:hover {
        background-color: var(--yak-secondary-color);
    }

    #load-more-button:disabled {
        border: none;
        color: #aaa;
        background-color: #eee;
    }

}